import { select, 
         range,
         scaleOrdinal,
         scaleLinear
        } 
from 'd3';

import {
   drawFruitsAnim
 }
from './makeFruit';

const width = 1000
const height = 1000
 
const svg = d3.select('.pattern')
                 .attr('height',height)
                 .attr('width',width);

const fruitBowl = svg.append('g');
 
 
const render = () => {
   drawFruitsAnim(fruitBowl, props); 
              };

const MakeFruits = (type,n) => { return  range(n).map( () =>  {  return {type, id: Math.random()};  } ) ; };

var fruits = MakeFruits("apple",4);
const hpos = 300;

let acted_value =  null;

const action = (id) => {  
          props.acted_value = id;
          render();
    };

const props = { fruits ,hpos ,acted_value,action };
 
render(fruitBowl, props); 

setTimeout(  
  () => {
     props.fruits[2].type = "lemon"
     render(); 
  }  
  , 1100);

setTimeout(  
  () => {
     props.fruits  = props.fruits.filter( (d,i) => i!==1 )
     render(); 
  }  
  , 2200);
 







 

 
